//
//  ProfileUpdateRequest.swift
//  SodaLive
//
//  Created by klaus on 2023/08/19.
//

import Foundation

struct ProfileUpdateRequest: Encodable {
    let email: String
    var password: String? = nil
    var modifyPassword: String? = nil
    var nickname: String? = nil
    var gender: Gender? = nil
    var introduce: String? = nil
    var youtubeUrl: String? = nil
    var instagramUrl: String? = nil
    var websiteUrl: String? = nil
    var blogUrl: String? = nil
    var isVisibleDonationRank: Bool? = nil
    let container: String = "ios"
    var insertTags: [String]? = nil
    var removeTags: [String]? = nil
}
